Bug Hunting Session
Bug 60589 - [Template manager]: Can not copy styles between different files and templates
Summary: [Template manager]: Can not copy styles between different files and templates
Status: RESOLVED MOVED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: highest major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectNotNeeded, needsUXEval, regression
: 60515 (view as bug list)
Depends on:
Blocks: Template-Manager 50282
  Show dependency treegraph
 
Reported: 2013-02-10 12:37 UTC by Mirosław Zalewski
Modified: 2016-09-10 08:44 UTC (History)
28 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2013-02-10 12:37:44 UTC
LibreOffice 4.0.0 introduced new template manager. Unfortunately it is missing feature in compare to old one.

In LO 3.6 and earlier you could open Template organizer window (File → Templates → Organize), which gave ability to copy styles between files and templates. This feature is described in Writer 3.6 guide, chapter 6, "Copying and moving styles" (page 194-196).

It is no longer available in 4.0.0, therefore I mark it as regression.

I don't know whether this feature integrate nicely with new template manager. Maybe old window should be bring back, but invoked from new place (like File menu or "gear button" in new template manager)?
But I do know that for some users that was really helpful feature (in some scenarios).

Best regards
Mirosław Zalewski
Comment 1 manj_k 2013-02-10 13:49:49 UTC
Confirmed, CC: Cédric Bosdonnat, Status: NEW.
Comment 2 Jorendc 2013-02-10 14:02:20 UTC
I can confirm you can't do this anymore with the new Template Manager.
Tested using Linux Mint 14 x64 with Version 4.1.0.0.alpha0+ (Build ID: df931a5b0f48707e34ebfacb695996198ece8f4).

Not sure to mark this as enhancement or bug, but because this is a regression I leave it as a bug.
Comment 3 Paul Weiss 2013-02-10 17:47:21 UTC
This is crucial functionality for some of us. I can't upgrade to 4.0 until fixed.
Comment 4 Rainer Bielefeld Retired 2013-02-10 19:11:36 UTC
Deprecated Regression text in Summary, and more or less not a regression, because problem with completely redesigned Dialogs.
Comment 5 Chris 2013-02-10 19:21:10 UTC
Please be advised this is the same problem as BUG 60515, I have reverted to an earlier version until this is corrected.
Comment 6 Paul Weiss 2013-02-10 23:37:56 UTC
(In reply to comment #4)

Restored REGRESSION in summary. This is a regression in functionality, regardless of whether it is a regression of code.
Comment 7 Cédric Bosdonnat 2013-02-11 08:39:45 UTC
There is a workaround for this:

Copy-Paste text with the appropriate style from source document to target one. Even after removing the pasted text, the style remains in the target document.

This is clearly not a regression: just that this had nothing to do with templates and needs to be re-integrated in the styles handling UI.

@Paul Weiss: Rainer told you the REGRESSION in title is deprecated: don't add it back after that! There are special flags for that.
Comment 8 Chris 2013-02-11 19:00:14 UTC
Thanks for workaround, do you have one for page style in calc?
Best regards
Chris
Comment 9 Cor Nouws 2013-02-25 21:49:59 UTC
(In reply to comment #7)
> There is a workaround for this:
> 
> Copy-Paste text with the appropriate style from source document to target
> one. Even after removing the pasted text, the style remains in the target
> document.

This does not work one a style is used in the target document. In any case, not with paragraph styles. Then the already present style is preserved.
(Never tried this for other style categories)

> This is clearly not a regression: just that this had nothing to do with
> templates and needs to be re-integrated in the styles handling UI.

IMO templates and styles are related.
Comment 10 Glutanimate 2013-03-05 18:56:46 UTC
I concur with Chris. This is one of the most crucial functions of template management. It was always a very obscure and unintuitive way of transferring styles but nonetheless very useful. Cedric's workaround is less functional than the previous method. I am reverting to 3.x until this functionality is restored, be it via the template manager or another dialog.
Comment 11 Jean-Baptiste Faure 2013-05-11 04:53:11 UTC
*** Bug 60515 has been marked as a duplicate of this bug. ***
Comment 12 John Smith 2013-06-12 19:04:32 UTC
For Writer only, to carry out the actions described by Miroslaw in the bug report you have to use the Styles and Formatting window. Click the 'New Style from Selection' icon at the top right of the window, and then select 'Load Styles' from the menu. Carry out the actions you want in the dialogue box that opens. The 'Help' button from this dialogue gives full information.

This works for Writer ONLY. See chapter 6 of the latest Writer guide (4.0) for a write-up of this.
Comment 13 Cor Nouws 2013-06-12 20:31:37 UTC
key word got lost
Comment 14 Stefan 2013-08-08 12:59:37 UTC
I do also need the functionality to copy/move templates between documents.

>"Click the 'New Style from Selection' icon at the top right of the window, and >then select 'Load Styles' from the menu. Carry out the actions you want in the >dialogue box that opens. "

Unfortunately this does not work with Global documents, because the extension *.odm is not supportet. And with Ubuntu there is no line to type in the file name but only the drop down box, so you could not use wildcard *.* to select the *.odm.

>"There is a workaround for this:
>
>Copy-Paste text with the appropriate style from source document to target one. >Even after removing the pasted text, the style remains in the target document.

If you have to do this for a lot of templates from several documents it's probably easier to recreate the templates.

Apart from that the menu entry 'File → Templates → Organize' should IMHO still be available and not simply vanish.

regards

Stefan
Comment 15 Zoltán Hegedüs 2013-10-17 10:55:34 UTC
With the new method, I can not copy only 1 style between documents, only the all styles.
By the way, if I want to modify 1 style in a lot of files, each files has different base size for the tab character, I must write down the base size and after the copying of the style, restore the base size, at each files to modify. Because of the base size of tab character is overwritten so when I copy all paragraph styles with overwriting the styles with the same name.
Comment 16 Björn Michaelsen 2014-01-17 09:51:42 UTC Comment hidden (obsolete)
Comment 17 Petr Valach 2014-01-17 22:22:45 UTC
I think that this is one of the most annoying "bugs" or features. Copying styles among files is very important. You can use plugin Template changer, but as you can see it is not an effective solution.
Comment 18 mwu 2014-01-20 03:14:00 UTC
We can even copy the printing setup easily between the .doc or .xls files in LO 3.6.7.2 as follows.

File > Templates > Organize
In the lower drop-down-list choose "Documents".
In the upper left part double-click source document and in the upper right target document.
Double click "Styles" of the source document.
Drag the style _while holding down Strg-key_ to the target document "Styles".
Close dialog. The imported style is available immediately. 

If this feature cannot be available on LO 4.X, then we must stick with LO 3.6.7.2 at work. Thank you and regards.
Comment 19 Cor Nouws 2014-01-20 09:12:39 UTC
there is a UX hackfest soon and I'll try to come up (with help of others) with a design to get this fixed
Comment 20 Peter CM 2014-03-30 00:20:25 UTC
I'm using LibreOffice 4.2.0.4 on 64-bit Windows 7, and I can confirm that this is still a problem (and that it qualifies as MAJOR). 

I have been unsuccessful in "loading styles" (from the Styles and Formatting window) from one Writer document or template into another. (And of course, the "Template Switcher" extension doesn't work in LibreOffice 4+.) 

My workaround has been to save a document with the desired "stylesheet" as a template, edit the new template to strip out most of the original document's content, create a new document based on the new template, and cut and paste the contents of the other document into it. It's not a happy solution if you need to maintain consistent styles across a series of documents, particularly if you tweak the styles progressively with each document and want to apply the tweaked versions to earlier documents.
Comment 21 tommy27 2014-05-13 05:28:48 UTC
please retest against 4.2.4.2
if bug persists please move it to mab4.2 list since 4.1.x is EOL
Comment 22 mwu 2014-05-14 10:28:59 UTC
    Because I cannot find a way to copy styles between different files in LibreOffice 4.2.4.2, I don't know how to retest against 4.2.4.2 ?? If tommy27 or someone knows the method to copy styles between different files in LibreOffice 4.2.4.2, please give a hint or a link. Thank you and regards.
Comment 23 Stefan Knorr (astron) 2014-05-15 15:15:50 UTC
This feature is still not implemented in 4.2 => Keep this in state New.
Comment 24 V Stuart Foote 2014-05-21 18:16:07 UTC
Moving to MAB 4.2 as this is still unresolved and 4.1 is now at development EOL.
Comment 25 tommy27 2014-12-07 18:28:09 UTC
(In reply to Stefan Knorr (astron) from comment #23)
> This feature is still not implemented in 4.2 => Keep this in state New.

AFAIK not yet implemented in 4.3 => moving to mab4.3 list since 4.2.x is EOL
Comment 26 Timur 2015-02-12 08:32:08 UTC
Reading this bug, I'm not clear what's the right way to go: 
- to restore old Template organizer window (File → Templates → Organize), as requested in Comment #0 and reaffirmed in Comment #14, or
- to add in other products what's now available in Writer only: use the Styles and Formatting window and 'Load Styles' as suggested in Comment #12, and also address problems from Comment #14

(In reply to Stefan from comment #14)
> I do also need the functionality to copy/move templates between documents.
What seems clear is that copying templates is already requested in Bug 50699 as adding Template Changer functionality to core LO. That should be reasonably easy, or even easier bundling the existing extension with the LO installer. It's more important because the extension seems not to be maintained (I don't know where last version came from). 

(In reply to Cor Nouws from comment #19)
> there is a UX hackfest soon and I'll try to come up (with help of others)
> with a design to get this fixed
Any news on this?

So, I change Component to UX-advise.
Comment 27 Cor Nouws 2015-02-12 10:07:30 UTC
(In reply to Timur from comment #26)

> (In reply to Cor Nouws from comment #19)
> > there is a UX hackfest soon and I'll try to come up (with help of others)
> > with a design to get this fixed
> Any news on this?

Well, just failing to find free time. Sorry..
Comment 28 Robinson Tryon (qubit) 2015-12-10 07:49:48 UTC Comment hidden (obsolete)
Comment 29 Glutanimate 2016-03-05 19:33:18 UTC
Just wondering if there has been any progress on this? Still holding out on LO 3.6.7.2. I work with a lot of templates and master documents, so I simply can't switch  over to a newer release as long as it's lacking the ability to copy/update styles across multiple templates.


(I just realized that my last comment on this bug report was on 2013-03-05, i.e. exactly 3 years ago to the day. Funny thing.)
Comment 30 Luca Daghino 2016-04-10 01:42:32 UTC
Is there any chance we get this solved?
It's important for many users.
Thanks
Comment 31 Robinson Tryon (qubit) 2016-08-25 05:49:12 UTC Comment hidden (obsolete)
Comment 32 Heiko Tietze 2016-09-06 09:29:55 UTC
Please check the latest version 5.2 (maybe also in 5.1.4) and in particular Styles > Load Files.
Comment 33 Regina Henschel 2016-09-06 13:53:01 UTC
It is not solved, neither in LO5.2 nor in master. Draw, Impress, and Calc do not have the option to load styles from file, and even for Writer the feature "load styles from file" itself is only a workaround, because you cannot select a single style.
Comment 34 Chris 2016-09-06 14:21:11 UTC
Agree, it's still not solved, I'll carry on using LO 3.6.5.2
Comment 35 Yousuf Philips (jay) (retired) 2016-09-06 15:00:54 UTC
I think this should be closed as WONTFIX as it isnt a feature needed in the template manager and should be in the load styles dialog, as mention in bug 50282 comment 3.
Comment 36 Mirosław Zalewski 2016-09-06 16:08:13 UTC
@Yousuf Philips (jay) : wouldn't it be better to change issue title and/or re-assign it to proper component?

I do not have strong opinion on where this functionality should be placed. There are legitimate use-cases that are unavailable since 4.0.0 and this report is about them. If there is another issue about these same use-cases, we can close this as duplicate of the other issue. But closing report due to minor procedural shortcomings is certainly not resolution I was looking for.
Comment 37 Yousuf Philips (jay) (retired) 2016-09-06 17:16:16 UTC
@Miroslaw: As this bug is a regression in the template manager, and bug 50282 is an enhancement to the template manager, it is best to close this one and rename that one. Alternatively, we could close both and create a new enhancement bug about the load styles dialog.
Comment 38 Chris 2016-09-06 17:19:05 UTC
I believe this functionality should remain within the Template manager, when I use it I normally add/delete styles in several pre-existing files and templates, especially Calc. I don't want to have to open each one and then load styles.
I certainly don't want this bug closed and possibly forgotten by transferring it to bug 50282 which was for an improvement to a functionality which was lost after LibreOffice 3 and which this, bug 60589 has been trying to get back.
Comment 39 Heiko Tietze 2016-09-07 09:10:25 UTC
Didn't read all the comments but to me it looks pretty easy to load styles from a template.

What is missing in this dialog is the newly introduced table styles feature. Adding Miklos and Jakub.
Comment 40 Samuel Mehrbrodt (CIB) 2016-09-08 10:13:30 UTC
Agree with Jay and Heiko, this doesn't belong to the template manager.
Closing as WONTFIX as we have a (mostly) working solution in the stylist.
Comment 41 Cor Nouws 2016-09-08 11:16:15 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #40)
> Agree with Jay and Heiko, this doesn't belong to the template manager.
> Closing as WONTFIX as we have a (mostly) working solution in the stylist.

Of course perfectly fine - the only that counts is that there is a good solution somewhere ;)
Comment 42 Chris 2016-09-08 20:47:47 UTC
Forgive me if I'm being stupid, but please point me in direction of "(mostly) working solution", as far as I can see there has been no progress since this bug was first initiated.
The new Styles - Load Styles in LO 5 is no different from Format - Styles and Formatting - Load Styles in LO 3.5
In LO 5, I still cannot move or copy individual styles between templates or documents, only load all styles from one 'writer' document into the current one - only Writer.
This is possible in LO 3.5 and not since, and was the point of the original bug report.
I believe it was in the Template Manager because the subject was moving/copying styles between templates and documents, not editing styles.
Comment 43 Heiko Tietze 2016-09-10 08:04:55 UTC
(In reply to Chris from comment #42)
> In LO 5, I still cannot move or copy individual styles between templates or
> documents, only load all styles from one 'writer' document into the current
> one - only Writer.

May I suggest you open a new enhancement ticket and describe shortly your workflow based on the new Load Styles dialog. 

Please excuse me and the developers. Reading through all the comments from the last years is time-consuming esp. when there is a solution for "apply styles from templates". (I think you miss easy means to add a style to a template. But the ordinary copy/paste will be likely a WONTFIX.)
Comment 44 Jean-Baptiste Faure 2016-09-10 08:44:26 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #40)
> Agree with Jay and Heiko, this doesn't belong to the template manager.
> Closing as WONTFIX as we have a (mostly) working solution in the stylist.

A working solution? Where and how ? It is still impossible to copy one style from a document to another (template or not).

Changed WONTFIX in MOVED : please see bug 102002. Solving bug 102002 will fix this one.

Best regards. JBF